/// <summary>
/// Esta clase almacena valores requeridos
/// para la operación del SCO con la operación de la POS GK,
/// valores que deben ser compartidos entre comandos.
/// </summary>
public class EntornoGK
{
    /// <summary>
    /// Gk - seguridad usuario.
    /// </summary>
    public string RealmId { get; set; } = "";

    /// <summary>
    /// Gk - días expiración realmId.
    /// </summary>
    public int ExpirationCountDays { get; set; } = 0;

    public string TransactionID { get; set; } = "";

    public string SeccionId { get; set; } = "";
    public string posSessionId { get; set; } = "";

    /// <summary>
    /// GK Language.
    /// </summary>
    public string Language { get; set; } = "en";
}